function OnSceneLoad(screen)
	play_field.game_state = game_state;
	
    game_state = {}    
    LoadData(screen)
    local pf = play_field
    local level = pf:GetLevelScreen()
    game_state.custom_cursors = {}
    game_state.locked_objects = {}
    game_state.active_objects = {}
    game_state.locker = ReferenceCounter()
    game_state.active_zone = nil
    game_state.inventory_zones = {}
	game_state.active_objects = {}
	game_state.screen = screen;
	game_state.timer = screen:GetTimer()
	game_state.game_skip = false;
	game_state.game_complite = false;
    
	AddMiniGamesGUI(screen);
	
	game_state.HELP_STRING = "HELP_MINIGAME_36";
	
	InitChain1(screen)
    AddSheriffEyeLogic(screen)
	
	colors = {'0xFFFF0000', '0xFF00FF00', '0xFF0000FF', '0xFF00FFFF', '0xFFFF00FF', '0xFFFFFF00' }
	local color_flags = {false, false, false, false, false, false}
	local color_flags_2 = {false, false, false, false, false, false}
	
	Composition = createCompositionMonomeduza_bak();
	Composition:AttachTo(screen);
	Composition:Stop();
	
	OBJECTS_AMOUNT = 6;
	Objects = {}
	
	for i = 1,OBJECTS_AMOUNT do
		Objects[i] = {}
		Objects[i].Entity = screen:GetObject('water_'..i);
		--Objects[i].Target = screen:GetObject('area_'..i);
		
		local rand = 0; 
		repeat
			rand = math.random(6);
		until color_flags[rand] == false
		
		color_flags[rand] = true;
		Objects[i].Color = colors[rand];
		Objects[i].Entity:GetAnimation():SetColor(Objects[i].Color);
	end
	
	PICTURE_AMOUNT = 5;
		
	Pictures = {}
	
	for i = 1,PICTURE_AMOUNT do
		Pictures[i] = {}
		Pictures[i].Entity = screen:GetObject('Monomeduza_'..(6 - i));
		local rand = 0; 
		repeat
			rand = math.random(6);
		until color_flags_2[rand] == false
		
		color_flags_2[rand] = true;
		Pictures[i].Color = colors[rand];
	end
	
	Pipetka = {};
	Pipetka.Entity = screen:GetObject('pipetka');
	Pipetka.Angle = 0;
	Pipetka.water_color = "0xFFFFFFFF";
	Pipetka.on_water = false;
	
	Drop = {};
	Drop.Entity = screen:GetObject('kaplya');
	Water = {};
	Water.Entity = screen:GetObject('jidkost_v_pipetke');
	
	current_picture = 1;
	
	--auxAttachInPlace(Drop.Entity, Pipetka.Entity, 1);
	auxAttachInPlace(Water.Entity, Pipetka.Entity, 2);
	auxAttachInPlace(screen:GetObject('sprait_pipetki_2'), Pipetka.Entity, 3);
	
	HideWater();
	
    screen:SetLayer(2);
end

function ShowWater()
	--Drop.Entity:SetVisible(true);
	Water.Entity:SetVisible(true);
	Water.Entity:SetOpacity(1.0);
	Drop.Entity:GetAnimation():SetColor(Pipetka.water_color);
	Water.Entity:GetAnimation():SetColor(Pipetka.water_color);
	Pipetka.on_water = true;
end

function HideWater()
	Drop.Entity:SetVisible(true);
	Drop.Entity:SetOpacity(1.0);
	if(Pipetka.Angle == 0) then
		Drop.Entity:SetXY(Pipetka.Entity:GetX() + 138, Pipetka.Entity:GetY() + 80);
	else
		Drop.Entity:SetXY(Pipetka.Entity:GetX() - 138, Pipetka.Entity:GetY() + 80);
	end
	Drop.Entity:Move(0.0, 20.0, 0.3);
	TimerDoString("Drop.Entity:ChangeOpacity(1.0, 0.0, 0.3);", 0.3, game_state.screen:GetTimer());
	Water.Entity:ChangeOpacity(1.0, 0.0, 0.2);
	PlaySound('36_DropFalls');	
	Pipetka.on_water = false;
end

function InitChain1(screen)
    local comics1 = CreateComics(screen,                                                                  
                                 'Sheriff',
								 'eyes')
                                     
    comics1.OnHidden = function()
		game_state.locker:Release()    
		OnCompletedGame();
    end	               
    
    game_state.finish_dialog = CreateChain('pixel',
                                    screen,
                                    comics1, GetString("COMICS_36_3"))
                                    
    comics1.OnShown = function()
        OnMinigameComicsShown(comics1)
    end
end

function OnScreenShown()
end

function OnSceneFree(screen)
    FreeData(screen)
end

function auxAttachInPlace(object, parentObject, z)
	local scrX,scrY = object:GetScrX(), object:GetScrY();
	object:AttachTo(parentObject);
	object:SetScrXY(scrX, scrY);
	object:SetZ(z);
end

function OnUpdate(dt)
	if(GetMousePos().x <= 380 and Pipetka.Angle == 0 and Pipetka.on_water == false)then
		Pipetka.Entity:SetScaleX(-1);
		Pipetka.Angle = 90;
	end
	if(GetMousePos().x >= 634 and Pipetka.Angle == 90 and Pipetka.on_water == false)then
		Pipetka.Entity:SetScale(1);
		Pipetka.Angle = 0;
	end
		
	Pipetka.Entity:SetXY(GetMousePos().x, GetMousePos().y); 
end

--[[function OnAllItemsFound()
    CloseNotebook();
end]]

function OnExit()
end

function OnObjectMouseEnter(object)
    DefaultOnObjectMouseEnter(object)
end

function OnObjectMouseLeave(object)
    DefaultOnObjectMouseLeave(object)
end

function OnObjectMouseDown(object)
	DefaultOnObjectMouseDown(object)
	
    obj_name = object:GetName()
    local pf = play_field
    local is_wrong_click = true
	
	if(game_state.game_complite == true or game_state.game_skip == true) then
		return;
	end
	
	MousePos = GetMousePos();
    if(GetMousePos().x > 512) then			
        MousePos.x = MousePos.x + 140;
        MousePos.y = MousePos.y + 70;
    else
        MousePos.x = MousePos.x - 140;
        MousePos.y = MousePos.y + 70;
    end

    local obj = game_state.screen:FindObjectByPos(Vector(MousePos.x, MousePos.y))
    if not obj then
        return
    end

	if(not Pipetka.on_water) then
        
        for i = 1,OBJECTS_AMOUNT do
            if Objects[i].Entity:GetName() == obj:GetName() then
                Pipetka.water_color = Objects[i].Color;
                ShowWater();
            end				
		
        end
	else	    
		if(obj:GetName() == "pictire_area" and Pipetka.water_color == Pictures[current_picture].Color) then
			Composition:SetBlendColor(ASCIItoHEX(Pipetka.water_color));
			Composition:SetOpacity(0.75);
			Pictures[current_picture].Entity:ChangeOpacity(1.0, 0.0, 2.0);
			current_picture = current_picture + 1;
			Composition:Play();
				
			if(current_picture == 6) then
				game_state.game_complite = true;
				TimerDoString("ShowDoneButton()", 3.0, game_state.screen:GetTimer());
			end
		end
		
		HideWater();		
	end
end

function SkipMiniGame()
	if(game_state.game_skip == false) then
		game_state.game_skip  = true;
		
		for i = current_picture + 1, 5 do
			Pictures[i].Entity:SetVisible(false);
		end
		
		Pictures[current_picture].Entity:ChangeOpacity(1.0, 0.0, 2.0);
		--TimerDoString("ShowDoneButton()", 1.0, game_state.screen:GetTimer());
		--Composition:Play();
		
		return 2.3;
	end
	
	return -1.0;
end

function OnObjectMouseUp(object)
end

function OnObjectWillBeFound(object)
end

function OnToolFound(tool)
end

function OnToolApply(tool, object)
    DefaultOnToolApply(tool, object)
end

function OnObjectReachPanel(object)
end

function OnButtonPress(title)
    DefaultOnButtonPress(title)
	OnMiniGameButtonPress(title);
end

function OnMouseMove(previous_pos, current_pos)
end

function OnSetTool(tool)
end

function CanBeHinted(obj)
    if locked_object[obj] ~= true then
        return true
    else
        return false
    end
end

function OnLostFocus()
end

function OnGainFocus()
end

createCompositionBubbles = function()
    
        local compositionBubbles = CreateCompositionSequence();
        local compositionDuration = 2.91666666666667;
        compositionBubbles:SetDuration(compositionDuration);
       -- compositionMainEffect:SetDestroysOnEnd(false);
		--compositionMainEffect:SetZ(150);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubbles2.png");
        element:SetName("Layer_1");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(52, 52);
        element:SetParentElement(compositionBubbles);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.84, 2.92);
    
        effector:SetKey(_TRACK_X, 1.44, 115);
        effector:SetKey(_TRACK_Y, 1.44, 235.5);
        effector:SetKey(_TRACK_X, 2.08, 163);
        effector:SetKey(_TRACK_Y, 2.08, 125.5);
        effector:SetKey(_TRACK_X, 2.68, 51);
        effector:SetKey(_TRACK_Y, 2.68, 118.5);
        effector:SetKey(_TRACK_SX, 1.44, 0.03987612057663);
        effector:SetKey(_TRACK_SY, 1.44, 0.03987612057663);
        effector:SetKey(_TRACK_SX, 2.68, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.68, 0.1995841995842);
        effector:SetKey(_TRACK_SX, 2.76, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.76, 0.58419958419958);
        effector:SetKey(_TRACK_SX, 2.84, 0.64763171171696);
        effector:SetKey(_TRACK_SY, 2.84, 0.22943866943867);
        effector:SetKey(_TRACK_SX, 2.92, 0.52967982799744);
        effector:SetKey(_TRACK_SY, 2.92, 0.52967982799744);
        effector:SetKey(_TRACK_O, 1.44, 0.01);
        effector:SetKey(_TRACK_O, 1.52, 0.62);
        effector:SetKey(_TRACK_O, 2.72, 0.62);
        effector:SetKey(_TRACK_O, 2.92, 0);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubbles2.png");
        element:SetName("Layer_2");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(52, 52);
        element:SetParentElement(compositionBubbles);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.56, 2.68);
    
        effector:SetKey(_TRACK_X, 1.16, 115);
        effector:SetKey(_TRACK_Y, 1.16, 235.5);
        effector:SetKey(_TRACK_X, 1.8, 40);
        effector:SetKey(_TRACK_Y, 1.8, 288.5);
        effector:SetKey(_TRACK_X, 2.4, 60);
        effector:SetKey(_TRACK_Y, 2.4, 165.5);
        effector:SetKey(_TRACK_SX, 1.16, 0.03987612057663);
        effector:SetKey(_TRACK_SY, 1.16, 0.03987612057663);
        effector:SetKey(_TRACK_SX, 2.4, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.4, 0.1995841995842);
        effector:SetKey(_TRACK_SX, 2.48, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.48, 0.58419958419958);
        effector:SetKey(_TRACK_SX, 2.56, 0.64763171171696);
        effector:SetKey(_TRACK_SY, 2.56, 0.22943866943867);
        effector:SetKey(_TRACK_SX, 2.64, 0.52967982799744);
        effector:SetKey(_TRACK_SY, 2.64, 0.52967982799744);
        effector:SetKey(_TRACK_O, 1.16, 0.01);
        effector:SetKey(_TRACK_O, 1.24, 0.62);
        effector:SetKey(_TRACK_O, 2.44, 0.62);
        effector:SetKey(_TRACK_O, 2.64, 0);
    
        effector:Play();
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubbles2.png");
        element:SetName("Layer_3");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(52, 52);
        element:SetParentElement(compositionBubbles);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.2, 2.32);
    
        effector:SetKey(_TRACK_X, 0.8, 115);
        effector:SetKey(_TRACK_Y, 0.8, 235.5);
        effector:SetKey(_TRACK_X, 1.44, 144);
        effector:SetKey(_TRACK_Y, 1.44, 117.5);
        effector:SetKey(_TRACK_X, 2.04, 206);
        effector:SetKey(_TRACK_Y, 2.04, 26.5);
        effector:SetKey(_TRACK_SX, 0.8, 0.03987612057663);
        effector:SetKey(_TRACK_SY, 0.8, 0.03987612057663);
        effector:SetKey(_TRACK_SX, 2.04, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.04, 0.1995841995842);
        effector:SetKey(_TRACK_SX, 2.12, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 2.12, 0.58419958419958);
        effector:SetKey(_TRACK_SX, 2.2, 0.64763171171696);
        effector:SetKey(_TRACK_SY, 2.2, 0.22943866943867);
        effector:SetKey(_TRACK_SX, 2.28, 0.52967982799744);
        effector:SetKey(_TRACK_SY, 2.28, 0.52967982799744);
        effector:SetKey(_TRACK_O, 0.8, 0.01);
        effector:SetKey(_TRACK_O, 0.88, 0.62);
        effector:SetKey(_TRACK_O, 2.08, 0.62);
        effector:SetKey(_TRACK_O, 2.28, 0);
    
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubbles2.png");
        element:SetName("Layer_4");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(52, 52);
        element:SetParentElement(compositionBubbles);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.12);
    
        effector:SetKey(_TRACK_X, 0.6, 115);
        effector:SetKey(_TRACK_Y, 0.6, 235.5);
        effector:SetKey(_TRACK_X, 1.24, 61);
        effector:SetKey(_TRACK_Y, 1.24, 116.5);
        effector:SetKey(_TRACK_X, 1.84, 64);
        effector:SetKey(_TRACK_Y, 1.84, 37.5);
        effector:SetKey(_TRACK_SX, 0.6, 0.03987612057663);
        effector:SetKey(_TRACK_SY, 0.6, 0.03987612057663);
        effector:SetKey(_TRACK_SX, 1.84, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 1.84, 0.1995841995842);
        effector:SetKey(_TRACK_SX, 1.92, 0.1995841995842);
        effector:SetKey(_TRACK_SY, 1.92, 0.58419958419958);
        effector:SetKey(_TRACK_SX, 2, 0.64763171171696);
        effector:SetKey(_TRACK_SY, 2, 0.22943866943867);
        effector:SetKey(_TRACK_SX, 2.08, 0.52967982799744);
        effector:SetKey(_TRACK_SY, 2.08, 0.52967982799744);
        effector:SetKey(_TRACK_O, 0.6, 0.01);
        effector:SetKey(_TRACK_O, 0.68, 0.62);
        effector:SetKey(_TRACK_O, 1.88, 0.62);
        effector:SetKey(_TRACK_O, 2.08, 0);
    
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubbles2.png");
        element:SetName("Layer_5");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(52, 52);
        element:SetParentElement(compositionBubbles);
        element:SetXY(118, 237.5);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.12);
    
        effector:SetKey(_TRACK_SX, 0, 0.07692307692308);
        effector:SetKey(_TRACK_SY, 0, 0.07692307692308);
        effector:SetKey(_TRACK_SX, 0.36, 0.25);
        effector:SetKey(_TRACK_SY, 0.36, 0.25);
        effector:SetKey(_TRACK_SX, 0.44, 0.41346153846154);
        effector:SetKey(_TRACK_SY, 0.44, 0.16346153846154);
        effector:SetKey(_TRACK_SX, 0.52, 0.32692307692308);
        effector:SetKey(_TRACK_SY, 0.52, 0.58653846153846);
        effector:SetKey(_TRACK_SX, 0.6, 1.11249869736713);
        effector:SetKey(_TRACK_SY, 0.6, 1.15096023582867);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.08, 1);
        effector:SetKey(_TRACK_O, 0.44, 1);
        effector:SetKey(_TRACK_O, 0.72, 0);
    
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/bubble_expl.png");
        element:SetName("Layer_6");
        compositionBubbles:AddElement(element);
        element:SetHotSpot(104, 104);
        element:SetParentElement(compositionBubbles);
        element:SetXY(119, 239.5);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 2.12);
    
        effector:SetKey(_TRACK_SX, 0.48, 0.23039215686275);
        effector:SetKey(_TRACK_SY, 0.48, 0.23039215686275);
        effector:SetKey(_TRACK_SX, 0.6, 0.60294117647059);
        effector:SetKey(_TRACK_SY, 0.6, 0.60294117647059);
        effector:SetKey(_TRACK_SX, 0.84, 0.59052728653965);
        effector:SetKey(_TRACK_SY, 0.84, 0.59052728653965);
        effector:SetKey(_TRACK_SX, 2.04, 0.58215326886564);
        effector:SetKey(_TRACK_SY, 2.04, 0.58215326886564);
        effector:SetKey(_TRACK_O, 0.48, 0);
        effector:SetKey(_TRACK_O, 0.56, 0.48);
        effector:SetKey(_TRACK_O, 0.88, 0.81);
        effector:SetKey(_TRACK_O, 2.04, 0);
    
        effector:Play();
    
        compositionBubbles:Play();
    
        return compositionBubbles;
    end
 -------------------------------------------------------------------------------------------------------------------------------   
createCompositionMainEffect = function()
        local compositionMainEffect = CreateCompositionSequence();
        local compositionDuration = 9.5;
        compositionMainEffect:SetDuration(compositionDuration);
        --compositionMainEffect:SetDestroysOnEnd(false);
		--compositionMainEffect:SetZ(150);
    
    
        -- Layer Layer_1
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/eee.png");
        element:SetName("Layer_1");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(294.5, 267.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(503.721818125309, 322.029695049289);
    
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.64871162972681);
        effector:SetKey(_TRACK_SY, 0, 0.64871162972681);
        effector:SetKey(_TRACK_SX, 3.08, 1.23943846847576);
        effector:SetKey(_TRACK_SY, 3.08, 1.23943846847575);
        effector:SetKey(_TRACK_A, 0, 1.49096920729707);
        effector:SetKey(_TRACK_A, 3.08, 2.0743344729063);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.56, 1);
        effector:SetKey(_TRACK_O, 2.44, 1);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/smoke2.png");
        element:SetName("Layer_2");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(49, 347.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(509, 352);
    
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.56930693069307);
        effector:SetKey(_TRACK_SY, 0, 0.48776978417266);
        effector:SetKey(_TRACK_SX, 3, 1.06508157858039);
        effector:SetKey(_TRACK_SY, 3, 1.18705035971223);
        effector:SetKey(_TRACK_A, 0, 0);
        effector:SetKey(_TRACK_A, 3.04, -0.14659753507603);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 1.2, 0.51);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_3
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/smoke.png");
        element:SetName("Layer_3");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(130.5, 502.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(490, 320);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.62452107279694);
        effector:SetKey(_TRACK_SY, 0, 0.29154228855721);
        effector:SetKey(_TRACK_SX, 3.08, 1.01532567049808);
        effector:SetKey(_TRACK_SY, 3.08, 0.87860696517413);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.84, 0.31);
        effector:SetKey(_TRACK_O, 1.92, 0.52);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_4
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r1.png");
        element:SetName("Layer_4");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(125.5, 154.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 348);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.46122448979592);
        effector:SetKey(_TRACK_SY, 0, 0.46122448979592);
        effector:SetKey(_TRACK_SX, 3.08, 0.83662902054025);
        effector:SetKey(_TRACK_SY, 3.08, 0.83662902054025);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.32, 0.63);
        effector:SetKey(_TRACK_O, 2.08, 0.53);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_5
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_5");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(4.3904607152518);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 6.44);
    
        effector:SetKey(_TRACK_SX, 1, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 1, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 4.52, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 4.52, 1.83407102466911);
        effector:SetKey(_TRACK_O, 1, 0);
        effector:SetKey(_TRACK_O, 1.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.12, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_6
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_6");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 6.44);
    
        effector:SetKey(_TRACK_SX, 1, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 1, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 6.4, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 6.4, 1.83407102466911);
        effector:SetKey(_TRACK_O, 1, 0);
        effector:SetKey(_TRACK_O, 1.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.12, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.76, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_7
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_7");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 6.44);
    
        effector:SetKey(_TRACK_SX, 1, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 1, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 4.76, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 4.76, 1.83407102466911);
        effector:SetKey(_TRACK_O, 1, 0);
        effector:SetKey(_TRACK_O, 1.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.12, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.76, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_8
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_8");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0.94518012009628);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 6.44);
    
        effector:SetKey(_TRACK_SX, 1, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 1, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 6.4, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 6.4, 1.83407102466911);
        effector:SetKey(_TRACK_O, 1, 0);
        effector:SetKey(_TRACK_O, 1.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.12, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.76, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_9
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_9");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 6.44);
    
        effector:SetKey(_TRACK_SX, 1, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 1, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 4.48, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 4.48, 1.83407102466911);
        effector:SetKey(_TRACK_O, 1, 0);
        effector:SetKey(_TRACK_O, 1.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.12, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.76, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_10
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_10");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(4.3904607152518);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.44, 5.88);
    
        effector:SetKey(_TRACK_SX, 0.44, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0.44, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 3.96, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 3.96, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0.44, 0);
        effector:SetKey(_TRACK_O, 0.92, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_11
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_11");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.44, 5.88);
    
        effector:SetKey(_TRACK_SX, 0.44, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0.44, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 5.84, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 5.84, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0.44, 0);
        effector:SetKey(_TRACK_O, 0.92, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_12
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_12");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.44, 5.88);
    
        effector:SetKey(_TRACK_SX, 0.44, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0.44, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 4.2, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 4.2, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0.44, 0);
        effector:SetKey(_TRACK_O, 0.92, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_13
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_13");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0.94518012009628);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.44, 5.88);
    
        effector:SetKey(_TRACK_SX, 0.44, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0.44, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 5.84, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 5.84, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0.44, 0);
        effector:SetKey(_TRACK_O, 0.92, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_14
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_14");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.44, 5.88);
    
        effector:SetKey(_TRACK_SX, 0.44, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0.44, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 3.92, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 3.92, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0.44, 0);
        effector:SetKey(_TRACK_O, 0.92, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_15
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_15");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(4.3904607152518);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 3.52, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 3.52, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_16
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_16");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 5.4, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 5.4, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_17
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_17");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(2.23926240875715);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 3.76, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 3.76, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_18
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_18");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0.94518012009628);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 5.4, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 5.4, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_19
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r2.png");
        element:SetName("Layer_19");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(152, 12);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(507, 329);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 5.44);
    
        effector:SetKey(_TRACK_SX, 0, 0.21684210526316);
        effector:SetKey(_TRACK_SY, 0, 0.26030303030303);
        effector:SetKey(_TRACK_SX, 3.48, 1.67218904699766);
        effector:SetKey(_TRACK_SY, 3.48, 1.83407102466911);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.34962608472706);
        effector:SetKey(_TRACK_O, 2.16, 0.34962608472706);
        effector:SetKey(_TRACK_O, 3.8, 0.03);
    
        effector:Play();
    
    
        -- Layer Layer_20
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r7.png");
        element:SetName("Layer_20");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(250, 155.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(513, 325);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.33408360128617);
        effector:SetKey(_TRACK_SY, 0, 0.33408360128617);
        effector:SetKey(_TRACK_SX, 3.04, 0.53344051446945);
        effector:SetKey(_TRACK_SY, 3.04, 0.53344051446945);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.3);
        effector:SetKey(_TRACK_O, 2.2, 0.3);
        effector:SetKey(_TRACK_O, 3.8, 0);
    
        effector:Play();
    
    
        -- Layer Layer_21
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r8.png");
        element:SetName("Layer_21");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(326, 316.5);
        element:SetParentElement(compositionMainEffect);
        element:SetXY(516, 331);
    
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_SX, 0, 0.17897727272727);
        effector:SetKey(_TRACK_SY, 0, 0.17897727272727);
        effector:SetKey(_TRACK_SX, 2.92, 0.48936830193594);
        effector:SetKey(_TRACK_SY, 2.92, 0.48936830193594);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 1);
        effector:SetKey(_TRACK_O, 2.2, 1);
        effector:SetKey(_TRACK_O, 3.8, 0);
    
        effector:Play();
    
    
        -- Layer Layer_22
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r9.png");
        element:SetName("Layer_22");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(274, 59.5);
        element:SetParentElement(compositionMainEffect);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.52, 9.52);
    
        effector:SetKey(_TRACK_X, 1.52, 506);
        effector:SetKey(_TRACK_Y, 1.52, 328);
        effector:SetKey(_TRACK_X, 4.08, 506);
        effector:SetKey(_TRACK_Y, 4.08, 360);
        effector:SetKey(_TRACK_SX, 1.52, 0.45248175182482);
        effector:SetKey(_TRACK_SY, 1.52, 0.22620437956204);
        effector:SetKey(_TRACK_SX, 4.52, 0.59481751824818);
        effector:SetKey(_TRACK_SY, 4.52, 0.59172878246963);
        effector:SetKey(_TRACK_O, 1.52, 0);
        effector:SetKey(_TRACK_O, 2, 0.6);
        effector:SetKey(_TRACK_O, 2.16, 0.6);
        effector:SetKey(_TRACK_O, 3.76, 0);
    
        effector:Play();
    
    
        -- Layer Layer_23
        local element = CreateCompositionElement("data/Texture/Minigames/36_picture/exp/r9.png");
        element:SetName("Layer_23");
        compositionMainEffect:AddElement(element);
        element:SetHotSpot(274, 59.5);
        element:SetParentElement(compositionMainEffect);
        element:SetAngle(0);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.52);
    
        effector:SetKey(_TRACK_X, 0, 506);
        effector:SetKey(_TRACK_Y, 0, 328);
        effector:SetKey(_TRACK_X, 2.56, 506);
        effector:SetKey(_TRACK_Y, 2.56, 360);
        effector:SetKey(_TRACK_SX, 0, 0.45248175182482);
        effector:SetKey(_TRACK_SY, 0, 0.22620437956204);
        effector:SetKey(_TRACK_SX, 3, 0.59481751824818);
        effector:SetKey(_TRACK_SY, 3, 0.59172878246963);
        effector:SetKey(_TRACK_O, 0, 0);
        effector:SetKey(_TRACK_O, 0.48, 0.6);
        effector:SetKey(_TRACK_O, 2.2, 0.6);
        effector:SetKey(_TRACK_O, 3.8, 0);
    
        effector:Play();
    
        compositionMainEffect:Play();
    
        return compositionMainEffect;
    end
    --2625
createCompositionMonomeduza_bak = function()
    
        local compositionMonomeduza_bak = CreateCompositionSequence();
        local compositionDuration = 9.64;
        --compositionMonomeduza_bak:SetDuration(compositionDuration);
		compositionMonomeduza_bak:SetDestroysOnEnd(false);
		compositionMonomeduza_bak:SetZ(150);
		
    
        -- Layer Layer_1
        local element = createCompositionMainEffect();
        element:SetName("Layer_1");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(512, 384);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(512, 384);
    
        element:SetScaleX(1);
        element:SetScaleY(1);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 9.5);
    
    
        effector:Play();
    
    
        -- Layer Layer_2
        local element = createCompositionBubbles();
        element:SetName("Layer_2");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(545, 298);
    
        element:SetScaleX(1.35);
        element:SetScaleY(1.35);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.08, 2.04);
    
    
        effector:Play();
    
    
        -- Layer Layer_3
        local element = createCompositionBubbles();
        element:SetName("Layer_3");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(466, 384);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.88, 2.84);
    
    
        effector:Play();
    
    
        -- Layer Layer_4
        local element = createCompositionBubbles();
        element:SetName("Layer_4");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(430, 340);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.16, 2.12);
    
    
        effector:Play();
    
    
        -- Layer Layer_5
        local element = createCompositionBubbles();
        element:SetName("Layer_5");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(570, 285);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.72, 3.68);
    
    
        effector:Play();
    
    
        -- Layer Layer_6
        local element = createCompositionBubbles();
        element:SetName("Layer_6");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(561, 348);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.32, 3.28);
    
    
        effector:Play();
    
    
        -- Layer Layer_7
        local element = createCompositionBubbles();
        element:SetName("Layer_7");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(538, 372);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.6, 2.56);
    
    
        effector:Play();
    
    
        -- Layer Layer_8
        local element = createCompositionBubbles();
        element:SetName("Layer_8");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(481, 335);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.52, 3.48);
    
    
        effector:Play();
    
    
        -- Layer Layer_9
        local element = createCompositionBubbles();
        element:SetName("Layer_9");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(540, 296);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.28, 2.24);
    
    
        effector:Play();
    
    
        -- Layer Layer_10
        local element = createCompositionBubbles();
        element:SetName("Layer_10");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(491, 244);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.84, 2.8);
    
    
        effector:Play();
    
    
        -- Layer Layer_11
        local element = createCompositionBubbles();
        element:SetName("Layer_11");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(424, 280);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.92, 3.88);
    
    
        effector:Play();
    
    
        -- Layer Layer_12
        local element = createCompositionBubbles();
        element:SetName("Layer_12");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(559, 323);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.44, 3.4);
    
    
        effector:Play();
    
    
        -- Layer Layer_13
        local element = createCompositionBubbles();
        element:SetName("Layer_13");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(545, 257);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.36, 2.32);
    
    
        effector:Play();
    
    
        -- Layer Layer_14
        local element = createCompositionBubbles();
        element:SetName("Layer_14");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(467, 277);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1, 2.96);
    
    
        effector:Play();
    
    
        -- Layer Layer_15
        local element = createCompositionBubbles();
        element:SetName("Layer_15");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(511, 273);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.6, 3.56);
    
    
        effector:Play();
    
    
        -- Layer Layer_16
        local element = createCompositionBubbles();
        element:SetName("Layer_16");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(443, 309);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(2.08, 4.04);
    
    
        effector:Play();
    
    
        -- Layer Layer_17
        local element = createCompositionBubbles();
        element:SetName("Layer_17");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(527, 334);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.92, 2.88);
    
    
        effector:Play();
    
    
        -- Layer Layer_18
        local element = createCompositionBubbles();
        element:SetName("Layer_18");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(500, 366);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.68, 3.64);
    
    
        effector:Play();
    
    
        -- Layer Layer_19
        local element = createCompositionBubbles();
        element:SetName("Layer_19");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(461, 347);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(1.24, 3.2);
    
    
        effector:Play();
    
    
        -- Layer Layer_20
        local element = createCompositionBubbles();
        element:SetName("Layer_20");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(506, 315);
    
        element:SetScaleX(0.44);
        element:SetScaleY(0.44);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.12, 2.08);
    
    
        effector:Play();
    
    
        -- Layer Layer_21
        local element = createCompositionBubbles();
        element:SetName("Layer_21");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(506, 315);
    
        element:SetScaleX(0.81);
        element:SetScaleY(0.81);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.08, 2.04);
    
    
        effector:Play();
    
    
        -- Layer Layer_22
        local element = createCompositionBubbles();
        element:SetName("Layer_22");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(539, 368);
    
        element:SetScaleX(1.63);
        element:SetScaleY(1.63);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.24, 2.2);
    
    
        effector:Play();
    
    
        -- Layer Layer_23
        local element = createCompositionBubbles();
        element:SetName("Layer_23");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(474, 268);
    
        element:SetScaleX(1.31);
        element:SetScaleY(1.31);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0.16, 2.12);
    
    
        effector:Play();
    
    
        -- Layer Layer_24
        local element = createCompositionBubbles();
        element:SetName("Layer_24");
        compositionMonomeduza_bak:AddElement(element);
        element:SetHotSpot(125, 240.5);
        element:SetParentElement(compositionMonomeduza_bak);
        element:SetXY(461, 330);
    
        element:SetScaleX(1.21);
        element:SetScaleY(1.21);
        element:SetAngle(0);
        element:SetOpacity(1);
    
        effector = element:GetEffector();
        effector:SetLifeTime(0, 1.96);
    
    
        effector:Play();

    
        compositionMonomeduza_bak:Play();
    
        return compositionMonomeduza_bak;
    end
    
    
    
-- CLEAR_ON_SAVE_BEGIN
-- Do not edit code listed below (generated by the editor on each save)
function LoadData(screen)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_bak.jpg',0,0,1024,768,1,0)
	anim:SetHotSpot(512,384)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Monomeduza_bak',anim,512,384,96,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_kolby.png',0,0,79,53,1,0)
	anim:SetHotSpot(39,26)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_kolby',anim,884,492,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_kolby_3.png',0,0,61,29,1,0)
	anim:SetHotSpot(30,14)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_kolby_3',anim,132,149,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_kolby_2.png',0,0,84,48,1,0)
	anim:SetHotSpot(42,24)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_kolby_2',anim,125,480,100,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/pipetka.png',0,0,351,213,1,0)
	anim:SetHotSpot(175,106)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('pipetka',anim,824,80,200,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_1.png',0,0,503,686,1,0)
	anim:SetHotSpot(251,343)
	anim:SetBlendMode(2)
	anim:SetColor('0x80FFFFFF')
	screen:CreateObject('Monomeduza_1',anim,516,366,101,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_2.png',0,0,503,686,1,0)
	anim:SetHotSpot(251,343)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Monomeduza_2',anim,516,366,102,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_3.png',0,0,503,686,1,0)
	anim:SetHotSpot(251,343)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Monomeduza_3',anim,516,366,103,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_4.png',0,0,503,686,1,0)
	anim:SetHotSpot(251,343)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Monomeduza_4',anim,516,366,104,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Monomeduza_5.png',0,0,508,696,1,0)
	anim:SetHotSpot(254,348)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Monomeduza_5',anim,516,366,105,0,1,1)
	local anim = CreateAnimation('data/Texture/Comics/Sheriff.dds',0,0,530,636,1,0)
	anim:SetHotSpot(266,256)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Sheriff',anim,505,390,400,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x00FFFFFF')
	screen:CreateObject('pixel',anim,512,384,501,0,128,96)
	local anim = CreateAnimation('data/Texture/Comics/eyes.png',0,0,79,33,1,0)
	anim:SetHotSpot(39,16)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('eyes',anim,499,212,500,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_1.png',0,0,121,101,1,0)
	anim:SetHotSpot(60,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_1',anim,135,263,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_2.png',0,0,132,110,1,0)
	anim:SetHotSpot(66,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_2',anim,108,431,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_3.png',0,0,142,118,1,0)
	anim:SetHotSpot(71,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_3',anim,131,616,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_1.png',0,0,121,101,1,0)
	anim:SetHotSpot(60,50)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_4',anim,858,263,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_2.png',0,0,132,110,1,0)
	anim:SetHotSpot(66,55)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_5',anim,909,442,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_3.png',0,0,142,118,1,0)
	anim:SetHotSpot(71,59)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('water_6',anim,885,627,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/jidkost_v_pipetke.png',0,0,71,36,1,0)
	anim:SetHotSpot(35,18)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('jidkost_v_pipetke',anim,929,136,209,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/kaplya.png',0,0,24,38,1,0)
	anim:SetHotSpot(12,19)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('kaplya',anim,961,166,110,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_pipetki_2.png',0,0,85,63,1,0)
	anim:SetHotSpot(42,31)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_pipetki_2',anim,940,139,210,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/Ramka.png',0,0,576,735,1,0)
	anim:SetHotSpot(288,367)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('Ramka',anim,522,369,120,0,1,1)
	local anim = CreateAnimation('data/Texture/Scenes/Common/pixel.jpg',0,0,8,8,1,0)
	anim:SetHotSpot(4,4)
	anim:SetBlendMode(2)
	anim:SetColor('0x01FFFFFF')
	screen:CreateObject('pictire_area',anim,504,377,300,0,70,90)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_bol.png',0,0,108,85,1,0)
	anim:SetHotSpot(54,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_vody_bol',anim,128,579,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_bol.png',0,0,108,85,1,0)
	anim:SetHotSpot(54,42)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_sprait_vody_bol',anim,883,590,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_menshe.png',0,0,100,79,1,0)
	anim:SetHotSpot(50,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_vody_menshe',anim,104,397,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_mini.png',0,0,91,72,1,0)
	anim:SetHotSpot(45,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('sprait_vody_mini',anim,130,233,109,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_menshe.png',0,0,100,79,1,0)
	anim:SetHotSpot(50,39)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_sprait_vody_menshe',anim,906,408,111,0,1,1)
	local anim = CreateAnimation('data/Texture/Minigames/36_picture/sprait_vody_mini.png',0,0,91,72,1,0)
	anim:SetHotSpot(45,36)
	anim:SetBlendMode(2)
	anim:SetColor('0xFFFFFFFF')
	screen:CreateObject('2_sprait_vody_mini',anim,855,231,111,0,1,1)
end

function FreeData(screen)
end
-- CLEAR_ON_SAVE_END
